package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 项目名: yhlxj
 * 文件名: OrderDonGalaxyCoinRecord
 * 创建者: JavaZou
 * 创建时间:2025/7/7 12:20
 */
@Getter
@Setter
public class OrderDonGalaxyCoinRecord extends BaseEntity{
	private Long orderId;

	private String orderNo;

	private Long userId;

	private BigDecimal galaxyCoin;

	private BigDecimal deductMoney;

	private BigDecimal refundGalaxyCoin;

	/**
	 * 0.普通订单 1.会员订单 2.套餐升级订单
	 */
	private Integer source;


	@Getter
	public enum Source{
		ordinary("普通订单"),
		vip("会员订单"),
		upgrade("套餐升级订单"),
		;
		String desc;

		Source(String desc) {
			this.desc = desc;
		}
	}
}
